> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leaguesync.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of a single player

> Returns the player specified by {player_name}



## OpenAPI

````yaml get /players/{league_id}/searchPlayer/name/{player_name}
openapi: 3.0.0
info:
  title: SimplyBankroll Fantasy API
  description: >
    Fantasy products are specified by the product parameter, a space-separated
    list of products that your application is requesting access to during
    LeagueSync API. Valid product names are

    - **league**: Read company directory and organization structure

    - **roster**: Read League Rosters

    - **player**: Read individual data, excluding income and employment data

    - **team**: Read payroll and contractor related payments by the company

    - **transaction**: Read detailed pay statements for each individual

    - **user**: Read detailed pay statements for each individual

    - **meta**: Read basic league data
  termsOfService: http://swagger.io/terms/
  contact:
    email: michael@simplybankroll.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0-oas3
servers:
  - url: https://api.leaguesync.dev
security: []
tags:
  - name: league
    description: Access Metadata about leagues the user is a part of on linked platform
    externalDocs:
      description: Find out more
      url: http://swagger.io
  - name: roster
    description: Access metadata associated with your Roster
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /players/{league_id}/searchPlayer/name/{player_name}:
    get:
      tags:
        - players
      summary: Get the status of a single player
      description: Returns the player specified by {player_name}
      parameters:
        - name: auth_token
          in: header
          description: User-platform auth_token supplied by LeagueSync API
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: league_id
          in: path
          description: league_id to filter by
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: player_name
          in: path
          description: player_name to filter by
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Player'
        '400':
          description: Invalid league_id value
      deprecated: false
components:
  schemas:
    Player:
      type: object
      properties:
        player_id:
          type: string
          example: '3086'
        position:
          type: string
          example: QB
        sport:
          type: string
          example: football
        first_name:
          type: string
          example: Tom
        last_name:
          type: string
          example: Brady
        full_name:
          type: string
          example: Tom Brady
        irl_team:
          type: string
          example: TB
        fantasy_team_roster_id:
          type: string
          example: '2'
        uniform_number:
          type: string
          example: '12'

````